Summary: A library for manipulating JPEG image format files.
Name: libjpeg6a
Version: 6a
Release: 8
Copyright: distributable
Group: System Environment/Libraries
Source0: ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6a.tar.gz
Buildroot: /var/tmp/libjpeg-root
Patch: jpeg-shlib.patch
%define LIBVER 6.0.1
ExcludeArch: armv4l ia64 s390 s390x

%description
This package is a library of functions that manipulate jpeg images, along
with simple clients for manipulating jpeg images.

This version of the package includes only a library that is needed for
preserving the backwards compatibility with previous releases of Red Hat
Linux.

%prep
%setup -n jpeg-6a
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$RPM_BUILD_ROOT/usr
make
#ln -s libjpeg.so.%{LIBVER} libjpeg.so.6
#LD_LIBRARY_PATH=$PWD make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib #$RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1
#make install
#make install-headers
#make install-lib

install -m 755 libjpeg.so.%{LIBVER} $RPM_BUILD_ROOT/usr/lib
#ln -sf libjpeg.so.%{LIBVER} $RPM_BUILD_ROOT/usr/lib/libjpeg.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/libjpeg.so.%{LIBVER}

%changelog
* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- rebuilt for next release
- add defattr, don't install as root for non-root packaging

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Feb 03 1999 Cristian Gafton <gafton@redhat.com>
- rebuild for glibc 2.1

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jun 04 1998 Marc Ewing <marc@redhat.com>
- renamed to libjpeg6a
- shared lib *only* package
- this package was made for use on RH 5.1 to support apps from 5.0

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- new package to remove jpeg stuff from libgr and put in it's own package

